# $Revision: 1.6 $, $Date: 2010/07/16 06:42:15 $

%define		module	pygoogle

Summary:	Python interface to Google API
Summary(pl.UTF-8):	Interfejs Pythona do Google API
Name:		python-%{module}
Version:	0.6
Release:	1
License:	PSF
Group:		Libraries/Python
Source0:	http://dl.sourceforge.net/pygoogle/%{module}-%{version}.tar.gz
# Source0-md5:	334e2d9e5a765ffa9769e2c4cdfcd110
URL:		http://pygoogle.sourceforge.net/
BuildRequires:	python-devel >= 2.2.1
%pyrequires_eq	python-modules
Requires:	python-SOAP >= 0.11.3
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Interface to Google API.

%description -l pl.UTF-8
Interfejs do Google API.

%prep
%setup -q -n %{module}-%{version}

python setup.py build_py --compile --optimize=2

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{py_sitescriptdir}

cp build/lib/{google,GoogleSOAPFacade}.py{c,o} $RPM_BUILD_ROOT%{py_sitescriptdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc doc/*
%{py_sitescriptdir}/*.py?

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-pygoogle.spec,v $
Revision 1.6  2010/07/16 06:42:15  arekm
- rel 1

Revision 1.5  2007/02/13 08:06:43  glen
- tabs in preamble

Revision 1.4  2007/02/12 01:06:29  baggins
- converted to UTF-8

Revision 1.3  2005/06/17 18:12:01  qboosh
- gpm-friendly Source0 URL

Revision 1.2  2005/06/13 17:09:51  mmazur
- rel 0.2; working

Revision 1.1  2005/06/12 12:27:53  mmazur
- initial; I don't like having internal SOAP support though; will need to check
  SOAPpy compatibility
